%define		_snapshot 20071213

Summary:	Opensource multi-protocol instatnt messaging client
Name:		ekg2
Version:	1.0
Release:	%mkrel 0.%{_snapshot}.3
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://ekg2.org/
Source0:	http://pl.ekg2.org/%{name}-%{_snapshot}.tar.bz2
Patch0:     ekg2-gcc43.patch
Patch1:     ekg2-gtk2-2.13.patch
Patch2:     ekg2-20071213-perl-install.patch
BuildRequires:	libaspell-devel
BuildRequires:	libexpat-devel
BuildRequires:	gettext-devel
BuildRequires:	libgnutls-devel		>= 1.4.5
BuildRequires:	libgpm-devel
BuildRequires:	libgtk+2-devel
BuildRequires:	libgadu-devel
BuildRequires:	libgsm-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	libncursesw-devel	>= 5.5
BuildRequires:	libopenssl-devel	>= 0.9.8g
BuildRequires:	libpython-devel
BuildRequires:	perl-devel
BuildRequires:	libreadline-devel
BuildRequires:	libxosd-devel
BuildRequires:	libsqlite-devel
BuildRequires:	libsqlite3-devel
BuildRequires:	libgpgme-devel
BuildRequires:	chrpath
Conflicts:	ekg
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
EKG2 is opensource IM client for Unix systems. 
Program supports plugins, which make possibility 
to support many diffrent protocols.

%package devel
Summary:	Development files for ekg2
Group:		Development/C

%description devel
Development files for ekg2.

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ekg2-config
%{_includedir}/ekg2/*

%prep
%setup -qn %{name}-%{_snapshot}
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1
export AUTOMAKE="automake --foreign"
autoreconf -fi

%build

%configure2_5x \
    --with-aspell \
    --with-expat \
    --with-libgnutls \
    --with-libgadu \
    --with-libgsm \
    --with-python \
    --without-readline \
    --with-sqlite \
    --with-sqlite3 \
    --with-gtk \
    --enable-unicode \
    --disable-rpath
					    
# /usr/bin/gpgme-config --cflags returns empty string, but build fails:
# error: GPGME was compiled with _FILE_OFFSET_BITS = 64
%make GPGME_CFLAGS="-D_FILE_OFFSET_BITS=64"
					    
%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/%{name}/scripts
install -d  %{buildroot}%{perl_vendorlib}/i386-linux

%makeinstall_std

rm -rf docs/{CVS,.cvsignore,Makefile*}
rm -rf docs/ekg2book/{CVS,.cvsignore,Makefile*}
rm -rf docs/ekg2book/design/CVS
rm -rf docs/ekg2book-en/{CVS,.cvsignore,Makefile*}
rm -rf docs/ekg2book-en/design/CVS
rm -f %{buildroot}%{_libdir}/%{name}/plugins/*.la
mv -f README README-main
mv %{buildroot}%{_libdir}/ioctld %{buildroot}%{_bindir}

%ifarch x86_64
chrpath -d %{buildroot}%{_libdir}/ekg2/plugins/gpg.so %{buildroot}%{_libdir}/ekg2/plugins/gpg.so
chrpath -d %{buildroot}%{_libdir}/ekg2/plugins/jabber.so %{buildroot}%{_libdir}/ekg2/plugins/jabber.so
chrpath -d %{buildroot}%{_libdir}/ekg2/plugins/xosd.so %{buildroot}%{_libdir}/ekg2/plugins/xosd.so
%endif

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS* README-main docs/*
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{perl_vendorarch}/Ekg2
%{perl_vendorarch}/Ekg2.pm
%{perl_vendorarch}/auto/Ekg2


%changelog
* Thu Oct 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-0.20071213.3mdv2010.0
+ Revision: 456005
- fix perl modules installation
- %%files section cleanup
- fix build, using fedora patches

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild for new perl

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.20071213.1mdv2008.1
+ Revision: 120031
- new snapshot
- drop patch 0

* Fri Dec 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0-0.20070226.5mdv2008.1
+ Revision: 119946
- simplify file list
- there's no more *.a files on x86_64
- rebuild (missing devel package on ia32)
- rebuild because static devel package didn't reach ia32 mirrors

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.20070226.2mdv2008.0
+ Revision: 38574
- rebuild against libgadu


* Tue Feb 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.20070226.1mdv2007.0
+ Revision: 126626
- new snapshot
- remove duplicated provides/requires

* Wed Feb 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.20070220.1mdv2007.1
+ Revision: 123635
- update to latest snapshot

* Mon Jan 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.20070128.2mdv2007.1
+ Revision: 115182
- bump release tag
- fix buildrequires
- new snapshot
- fix provides
- remove rpatch from gpg.so
- fix buildrequires
- new snapshot
- fixed path for perl modules
- remove rpath for gpg.so
- regenerate patch 0

* Mon Jan 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.20070107.3mdv2007.1
+ Revision: 105428
- new snapshot, with new features

* Sun Dec 24 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.20061223.3mdv2007.1
+ Revision: 101968
- new snapshot

* Fri Dec 08 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.20061203.3mdv2007.1
+ Revision: 92157
- bump release tag
- fixed path for ioctld
- Bump release tag
- Fix build on x86_64
- New snapshot
- Add missing build requires
- import ekg2
- Import ekg2

* Sun Dec 03 2006 TPG
- initial package for mdv

